#pragma once
#include "HtmlCtrl.h"
#include "afxwin.h"

#include "ZBitmapButton.h"
#include "CISBitmap.h"

#include "RYLLOGIN_DEFINITIONS.H"
#include "Resource.h"

// CMSGDialog 대화 상자입니다.

class CMSGDialog : public CDialog
{
	DECLARE_DYNAMIC(CMSGDialog)

public:
	CMSGDialog(CWnd* pParent = NULL);   // 표준 생성자입니다.
	virtual ~CMSGDialog();

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	void RenderBack( CDC &rDC, CBitmap &rBitmap, int Px, int Py , int SizeX = -1 , int SizeY = -1  );

// 대화 상자 데이터입니다.
	enum { IDD = IDD_DIALOG_MSG };

	void InitClientFoloder(void);
	void InitWebBrowser(void);
	void InitInterface(void);

protected:
    CString			m_strRYLFolder;

	CHtmlCtrl		m_WebPage;	
	CCISBitmap		m_btmBase;


	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

	DECLARE_MESSAGE_MAP()
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
public:
	CZBitmapButton m_Ok;
	CZBitmapButton m_Cancel;
};
